Package com.sun.jna

# Class Structure.StructField

java.lang.Object
com.sun.jna.Structure.StructField

Enclosing class:
  Structure

protected static class Structure.StructField extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `FromNativeContext`
  `context`
  `Field`
  `field`
  `boolean`
  `isReadOnly`
  `boolean`
  `isVolatile`
  `String`
  `name`
  `int`
  `offset`
  `FromNativeConverter`
  `readConverter`
  `int`
  `size`
  `Class<?>`
  `type`
  `ToNativeConverter`
  `writeConverter`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `StructField()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### name

    public String name

  - ### type

    public Class<?> type

  - ### field

    public Field field

  - ### size

    public int size

  - ### offset

    public int offset

  - ### isVolatile

    public boolean isVolatile

  - ### isReadOnly

    public boolean isReadOnly

  - ### readConverter

    public FromNativeConverter readConverter

  - ### writeConverter

    public ToNativeConverter writeConverter

  - ### context

    public FromNativeContext context

- ## Constructor Details

  - ### StructField

    protected StructField()

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`